Statistics
GET
bearerAuthheader
AuthorizationBearer <JWT>from?stringFormat
dateto?stringFormat
datevehicleId?stringFormat
uuidtype?stringValue in
"business""private""commute""unclassified"Statistiken
curl -X GET 'https://example.com/api/v1/statistics'Example Response200
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>Monatsstatistik
curl -X GET 'https://example.com/api/v1/statistics/monthly'Example Response200
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>Fahrzeugstatistik
curl -X GET 'https://example.com/api/v1/statistics/vehicles'Example Response200
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>Successful response
curl -X GET 'https://example.com/api/v1/statistics/leasing-live-km'Example Response
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>Successful response
curl -X GET 'https://example.com/api/v1/statistics/monthly-trips'Example Response
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>vehicleId*stringFormat
uuidfrom*stringFormat
dateto*stringFormat
dateKilometer- und Fahrtenwerte je Ableseintervall. trackedKm enthält Fahrten freigegebener Fahrer während der eigenen Halterschaft; deren Summe steht zusätzlich in otherDriversKm (ohne Kategorien).
curl -X GET 'https://example.com/api/v1/statistics/odometer-intervals?vehicleId=497f6eca-6276-4993-bfeb-53cbbbba6f08&from=2019-08-24&to=2019-08-24'Example Response200
Empty
GET
bearerAuthheader
AuthorizationBearer <JWT>Monatliche Kilometerstatistik je Fahrzeug, inkl. geteilter Fahrzeuge (access = owner|shared). Für Besitzer enthält trackedKm Fahrten freigegebener Fahrer während der eigenen Halterschaft, deren Summe zusätzlich in otherDriversKm steht (ohne Kategorien). Bei geteilten Fahrzeugen nur die eigenen Fahrten, ohne Ablesungen (actualKm/unknownKm null).
curl -X GET 'https://example.com/api/v1/statistics/monthly-odometer'Example Response200
Empty